.view[name='requestDetail'] {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 3;
}
.view[name='requestDetail'] > .header {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: 64px;
}
.view[name='requestDetail'] > .header > .side:first-child > .button {
    padding: 24px;
}
.view[name='requestDetail'] > .header > .side:first-child > .button > img {
    display: block;
    height: 16px;
}
.view[name='requestDetail'] > .header > .center {
    display: inline-block;
    height: 100%;
    text-align: center;
}
.view[name='requestDetail'] > .header > .center > div {
    font-size: 18px;
    font-weight: bold;
    padding-top: 18px;
}
.view[name='requestDetail'] > .header > .side:last-child > .button {
    padding: 22px;
}
.view[name='requestDetail'] > .header > .side:last-child > .button > img {
    display: block;
    width: 20px;
    height: 20px;
    rotate: 90deg;
}
.view[name='requestDetail'] > .content {
    position: absolute;
    top: 64px;
    right: 0;
    bottom: 0px;
    left: 0;
    padding: 20px;
    overflow-y: auto;
    margin-right: auto;
    margin-left: auto;
}
.view[name='requestDetail'] > .content > div:not(:last-child) {
    margin-bottom: 20px;
}
.view[name='requestDetail'] > .content > .pist {
    border-radius: 12px;
    padding: 16px;
    background-color: #272727;
}
.view[name='requestDetail'] > .content > .pist > .top {
    margin-bottom: 20px;
}
.view[name='requestDetail'] > .content > .pist > .top > .imageWrapper {
    width: 34px;
    height: 34px;
    border-radius: 10px;
    background-color: #0373f3;
    padding: 9px;
    display: inline-block;
    vertical-align: middle;
}
.view[name='requestDetail'] > .content > .pist > .top > .imageWrapper > img {
    width: 16px;
    height: 16px;
    display: block;
}
.view[name='requestDetail'] > .content > .pist > .top > .name {
    margin-left: 8px;
    color: #ffffff;
    font-size: 16px;
    font-weight: 600;
    vertical-align: middle;
}
.view[name='requestDetail'] > .content > .pist > .bottom > div {
    padding: 8px 16px;
    border-radius: 8px;
    background-color: #1b1b1b;
    text-align: center;
    display: inline-block;
    vertical-align: middle;
}
.view[name='requestDetail'] > .content > .pist > .bottom > div:not(:last-child) {
    margin-right: 10px;
}
.view[name='requestDetail'] > .content > .pist > .bottom > div > img,
.view[name='requestDetail'] > .content > .pist > .bottom > div > span {
    vertical-align: middle;
}
.view[name='requestDetail'] > .content > .pist > .bottom > div > img {
    width: 15px;
    height: 15px;
    margin-right: 2px;
    display: inline-block;
    vertical-align: middle;
}
.view[name='requestDetail'] > .content > .pist > .bottom > div > span {
    color: #ffffff;
    font-weight: 500;
}
.view[name='requestDetail'] > .content > .details {
    overflow: hidden;
}
.view[name='requestDetail'] > .content > .details > .title {
    float: left;
    color: #ffffff;
    font-weight: 600;
    margin-top: 5px;
}
.view[name='requestDetail'] > .content > .details > .button {
    float: right;
    border-radius: 48px;
    padding: 6px 12px;
    border: 1px solid rgba(245, 158, 11, 0.30);
    background-color: rgba(255, 185, 15, 0.10);
    margin-bottom: 20px;
}
.view[name='requestDetail'] > .content > .details > .button > img,
.view[name='requestDetail'] > .content > .details > .button > span {
    vertical-align: middle;
}
.view[name='requestDetail'] > .content > .details > .button > img {
    width: 12px;
    height: 12px;
    margin-right: 2px;
}
.view[name='requestDetail'] > .content > .details > .button > span {
    color: #ffb90f;
    font-size: 10px;
    font-weight: 500;
}
.view[name='requestDetail'] > .content > .details > .information {
    border-radius: 12px;
    clear: both;
}
.view[name='requestDetail'] > .content > .details > .information > div {
    overflow: hidden;
    background-color: #272727;
    padding: 16px;
}
.view[name='requestDetail'] > .content > .details > .information > div:first-child {
    border-top-right-radius: 12px;
    border-top-left-radius: 12px;
}
.view[name='requestDetail'] > .content > .details > .information > div:not(:last-child) {
    border-bottom: 1px solid rgba(255, 255, 255, 0.07);
}
.view[name='requestDetail'] > .content > .details > .information > div:last-child {
    border-bottom-right-radius: 12px;
    border-bottom-left-radius: 12px;
}
.view[name='requestDetail'] > .content > .details > .information > div > .imageWrapper,
.view[name='requestDetail'] > .content > .details > .information > div > .label {
    float: left;
}
.view[name='requestDetail'] > .content > .details > .information > div > .imageWrapper {
    width: 32px;
    height: 32px;
    border-radius: 8px;
    padding: 8px;
    margin-right: 8px;
    background: #1B1B1B;
}
.view[name='requestDetail'] > .content > .details > .information > div > .imageWrapper > img {
    width: 16px;
    height: 16px;
    display: block;
}
.view[name='requestDetail'] > .content > .details > .information > div > .label {
    font-size: 12px;
    font-weight: 500;
    color: #aeaeae;
}
.view[name='requestDetail'] > .content > .details > .information > div:not(.code) > .label {
    margin-top: 7px;
}
.view[name='requestDetail'] > .content > .details > .information > div > .value {
    float: right;
    color: #ffffff;
    font-weight: 500;
    margin-top: 6px;
}
.view[name='requestDetail'] > .content > .details > .information > .code > .imageWrapper {
    margin-top: 5px;
}
.view[name='requestDetail'] > .content > .details > .information > .code > .label {
    margin-top: 12px;
}
.view[name='requestDetail'] > .content > .details > .information > .code > .button {
    padding: 8px 12px;
    border-radius: 8px;
    background-color: #1b1b1b;
    text-align: center;
    float: right;
}
.view[name='requestDetail'] > .content > .details > .information > .code > .button > span {
    font-weight: 500;
    color: #ffffff;
    vertical-align: middle;
}
.view[name='requestDetail'] > .content > .details > .information > .code > .button > img {
    width: 16px;
    height: 16px;
    display: inline-block;
    vertical-align: middle;
    margin-left: 4px;
}
.view[name='requestDetail'] > .content > .drivers > .title {
    color: #ffffff;
    font-weight: 600;
    margin-bottom: 20px;
}
.view[name='requestDetail'] > .content > .drivers > .title > span {
    vertical-align: middle;
}
.view[name='requestDetail'] > .content > .drivers > .title > .button {
    display: inline-block;
    vertical-align: middle;
    padding: 6px;
    border-radius: 6px;
}
.view[name='requestDetail'] > .content > .drivers > .title > .button > img {
    display: block;
    width: 16px;
    height: 16px;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver {
    border-radius: 10px;
    background-color: #272727;
    margin-bottom: 16px;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top {
    overflow: hidden;
    padding: 16px 16px 8px;
    margin-bottom: 4px;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side:first-child {
    float: left;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side:first-child > div {
    display: inline-block;
    vertical-align: middle;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side:first-child > div:not(:last-child) {
    margin-right: 6px;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side:first-child > .badge {
    width: 24px;
    height: 26px;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side:first-child > .badge > img {
    width: 100%;
    height: 100%;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side:first-child > .name {
    color: #ffffff;
    font-weight: 700;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side:first-child > span {
    font-weight: 600;
    font-size: 12px;
    color: #cccccc;
    margin-right: 6px;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side:first-child > .button {
    padding: 4px;
    border-radius: 6px;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side:first-child > .button > img {
    width: 20px;
    height: 20px;
    display: block;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side:last-child {
    float: right;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side:last-child > .circle {
    margin-right: 4px;
    display: inline-block;
    vertical-align: middle;
    width: 6px;
    height: 6px;
    border-radius: 50%;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side[status='1'] > .circle {
    background-color: #ff8041;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side[status='2'] > .circle {
    background-color: #07cc71;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side[status='3'] > .circle {
    background-color: #aeaeae;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side[status='4'] > .circle {
    background-color: #fb411c;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side[status='5'] > .circle {
    background-color: #fb411c;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .top > .side:last-child > .text {
    color: #ffffff;
    font-size: 12px;
    font-weight: 500;
    display: inline-block;
    vertical-align: middle;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .item {
    padding-top: 16px;
    padding-bottom: 16px;
    overflow: hidden;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .item:not(:last-child) {
    border-bottom: 1px solid rgba(255, 255, 255, 0.08);
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .item > .label {
    float: left;
    font-weight: 500;
    color: #aeaeae;
    margin-left: 16px;
}
.view[name='requestDetail'] > .content > .drivers > .items > .driver > .item > .value {
    float: right;
    font-weight: 500;
    color: #ffffff;
    margin-right: 16px;
}
.view[name='requestDetail'] > .content > .button {
    border-radius: 8px;
    background: #0373f3;
    padding: 16px;
    color: #ffffff;
    text-align: center;
    font-weight: 700;
}

#panel[ids='requestOptions'] {
    width: 320px;
    padding: 24px;
    text-align: center;
    border-radius: 20px;
    top: 50%;
    bottom: unset;
    left: 50%;
    transform: translate(-50%, -50%);
}
#panel[ids='requestOptions'] > .content > .text {
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 20px;
}
#panel[ids='requestOptions'] > .content > .buttons > .button {
    border-radius: 10px;
    padding: 16px;
    font-weight: 600;
    font-size: 16px;
}
#panel[ids='requestOptions'] > .content > .buttons > .button:not(:last-child) {
    margin-bottom: 16px;
}
#panel[ids='cancelReservation'],
#panel[ids='removeReservation'] {
    max-width: 400px;
    margin-right: auto;
    margin-left: auto;
    padding: 20px 0 20px;
}
#panel[ids='cancelReservation'] > .content,
#panel[ids='removeReservation'] > .content {
    overflow: hidden;
}
#panel[ids='cancelReservation'] > .content > .imageWrapper,
#panel[ids='removeReservation'] > .content > .imageWrapper,
#panel[ids='requestOptions'] > .content > .imageWrapper {
    width: 44px;
    height: 44px;
    text-align: center;
    margin-right: auto;
    margin-left: auto;
    border-radius: 8px;
    margin-bottom: 16px;
}
#panel[ids='cancelReservation'] > .content > .imageWrapper > img,
#panel[ids='removeReservation'] > .content > .imageWrapper > img,
#panel[ids='requestOptions'] > .content > .imageWrapper > img {
    width: 24px;
    height: 24px;
    margin: 10px;
}
#panel[ids='cancelReservation'] > .content > .title,
#panel[ids='removeReservation'] > .content > .title {
    font-weight: 700;
    font-size: 18px;
    text-align: center;
    margin-bottom: 8px;
}
#panel[ids='cancelReservation'] > .content >.description,
#panel[ids='removeReservation'] > .content >.description {
    margin-bottom: 18px;
    text-align: center;
    font-weight: 500;
}
#panel[ids='cancelReservation'] > .content > .selectAll,
#panel[ids='removeReservation'] > .content > .selectAll {
    margin-bottom: 16px;
}
#panel[ids='cancelReservation'] > .content > .selectAll > div,
#panel[ids='removeReservation'] > .content > .selectAll > div {
    font-weight: 600;
    display: inline-block;
    vertical-align: middle;
}
#panel[ids='cancelReservation'] > .content > .selectAll > div,
#panel[ids='removeReservation'] > .content > .selectAll > div,
#panel[ids='cancelReservation'] > .content > .selectAll > img,
#panel[ids='removeReservation'] > .content > .selectAll > img {
    vertical-align: middle;
}
#panel[ids='cancelReservation'] > .content > .drivers,
#panel[ids='removeReservation'] > .content > .drivers {
    margin-bottom: 24px;
}
#panel[ids='cancelReservation'] > .content > .drivers > .driver,
#panel[ids='removeReservation'] > .content > .drivers > .driver {
    padding: 16px 20px;
}
#panel[ids='cancelReservation'] > .content > .drivers > .driver > img,
#panel[ids='removeReservation'] > .content > .drivers > .driver > img {
    display: inline-block;
    vertical-align: middle;
}
#panel[ids='cancelReservation'] > .content > .drivers > .driver > div,
#panel[ids='removeReservation'] > .content > .drivers > .driver > div {
    display: inline-block;
    vertical-align: middle;
    font-weight: 500;
}
#panel[ids='cancelReservation'] > .content > .drivers > .driver:not(:last-child),
#panel[ids='removeReservation'] > .content > .drivers > .driver:not(:last-child) {
    margin-bottom: 6px;
}
#panel[ids='cancelReservation'] > .content > .button,
#panel[ids='removeReservation'] > .content > .button {
    border-radius: 16px;
    text-align: center;
    padding-top: 16px;
    padding-bottom: 16px;
    font-size: 16px;
    font-weight: 600;
    width: calc(50% - 27px);
}

@media (max-width: 799px) {
    .view[name='requestDetail'] {
        width: 100%;
    }
}
@media (min-width: 800px) {
    .view[name='requestDetail'] {
        width: 480px;
    }
}